# Yahoo! UI Library

### event-custom 3.3.0

Yahoo! UI Library > event-custom > EventHandle
Search:
Filters Show Private Show Protected Show Deprecated

## Class EventHandle

Return value from all subscribe operations

### Constructor

EventHandle `( evt , sub )`

Parameters:
  `evt <CustomEvent>` the custom event.
  `sub <Subscriber>` the subscriber.

### Properties

#### evt - `CustomEvent`

The custom event

#### sub - `Subscriber`

The subscriber object

### Methods

#### detach

`int detach ( )`
Detaches this subscriber

Returns: `int`
  the number of detached listeners

#### monitor

`EventHandle monitor ( what )`
Monitor the event state for the subscribed event. The first parameter is what should be monitored, the rest are the normal parameters when subscribing to an event.

Parameters:
  `what <string>` what to monitor ('attach', 'detach', 'publish').

Returns: `EventHandle`
  return value from the monitor event subscription.

Copyright © 2011 Yahoo! Inc. All rights reserved.